slanv2.f(3)

NAME
slanv2.f -

SYNOPSIS

  Functions/Subroutines
subroutine slanv2 (A, B, C, D, RT1R, RT1I, RT2R, RT2I, CS, SN)
SLANV2 computes the Schur factorization of a real 2-by-2 nonsymmetric matrix in standard form.

Function/Subroutine Documentation

  subroutine slanv2 (realA, realB, realC, realD, realRT1R, realRT1I, realRT2R, realRT2I, realCS, realSN)

Purpose:

     SLANV2 computes the Schur factorization of a real 2-by-2 nonsymmetric
     matrix in standard form:
          [ A  B ] = [ CS -SN ] [ AA  BB ] [ CS  SN ]
          [ C  D ]   [ SN  CS ] [ CC  DD ] [-SN  CS ]
     where either
     1) CC = 0 so that AA and DD are real eigenvalues of the matrix, or
     2) AA = DD and BB*CC < 0, so that AA + or - sqrt(BB*CC) are complex
     conjugate eigenvalues.

Parameters:
    A

              A is REAL

    B

              B is REAL

    C

              C is REAL

    D

              D is REAL
              On entry, the elements of the input matrix.
              On exit, they are overwritten by the elements of the
              standardised Schur form.

    RT1R

              RT1R is REAL

    RT1I

              RT1I is REAL

    RT2R

              RT2R is REAL

    RT2I

              RT2I is REAL
              The real and imaginary parts of the eigenvalues. If the
              eigenvalues are a complex conjugate pair, RT1I > 0.

    CS

              CS is REAL

    SN

              SN is REAL
              Parameters of the rotation matrix.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Further Details:

      Modified by V. Sima, Research Institute for Informatics, Bucharest,
      Romania, to reduce the risk of cancellation errors,
      when computing real eigenvalues, and to ensure, if possible, that
      abs(RT1R) >= abs(RT2R).

Definition at line 128 of file slanv2.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.